package com.nisum.paymentvendorsimulator.exceptions;

import org.springframework.http.HttpStatus;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.MethodArgumentNotValidException;
import org.springframework.web.bind.annotation.ControllerAdvice;
import org.springframework.web.bind.annotation.ExceptionHandler;
import org.springframework.web.bind.annotation.ResponseStatus;
import org.springframework.web.servlet.mvc.method.annotation.ResponseEntityExceptionHandler;

import javax.validation.ConstraintViolationException;
import java.time.LocalDateTime;

@ControllerAdvice
public class BaseControllerAdvice extends ResponseEntityExceptionHandler {

  @ExceptionHandler(PayPalTestException.class)
  public ResponseEntity<PayPalExceptionResponse> handleException() {
    PayPalExceptionResponse response = new PayPalExceptionResponse();
    response.setDateTime(LocalDateTime.now());
    response.setMessage("Id is not supposed to be 123");
    ResponseEntity<PayPalExceptionResponse> entity = new ResponseEntity<>(response, HttpStatus.FORBIDDEN);
    return entity;
  }

}
